start to track Daniel's version
[util-vserver.git] / scripts / vesync
diff --git a/scripts/vesync b/scripts/vesync
deleted file mode 100755 (executable)
index b722168..0000000
+++ /dev/null
@@ -1,89 +0,0 @@
-#!/bin/bash
-# $Id: vesync 2486 2007-02-05 18:08:17Z hollow $
-
-# Copyright (C) 2006 Benedikt Boehm <hollow@gentoo.org>
-#  
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; version 2 of the License.
-#  
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#  
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
-
-: ${UTIL_VSERVER_VARS:=/usr/lib/util-vserver/util-vserver-vars}
-test -e "$UTIL_VSERVER_VARS" || {
-    echo $"Can not find util-vserver installation (the file '$UTIL_VSERVER_VARS' would be expected); aborting..." >&2
-    exit 1
-}
-. "$UTIL_VSERVER_VARS"
-. "$_LIB_FUNCTIONS"
-
-
-function showHelp()
-{
-    echo \
-$"Usage: $0 <vserver-name>* [--all] [--overlay <dir>] [--overlay-host <rsyncpath>] [--overlay-only]
-
-Report bugs to <$PACKAGE_BUGREPORT>."
-    exit 0
-}
-
-function showVersion()
-{
-    echo \
-$"vesync $PACKAGE_VERSION -- portage cache sync for vservers
-This program is part of $PACKAGE_STRING
-
-Copyright (C) 2006 Benedikt Boehm
-This program is free software; you may redistribute it under the terms of
-the GNU General Public License.  This program has absolutely no warranty."
-    exit 0
-}
-
-tmp=$(getopt -o +q --long help,version,debug,quiet,all,overlay,overlay-host,overlay-only -n "$0" -- "$@") || exit 1
-eval set -- "$tmp"
-
-declare -a send_through vsomething_opts
-overlay=
-overlay_host=
-overlay_only=0
-
-while true; do
-    case "$1" in
-       (--help)         showHelp $0 ;;
-       (--version)      showVersion ;;
-       (--debug)        send_through=( "${send_through[@]}" "$1" ); set -x;;
-       (--quiet|-q)     send_through=( "${send_through[@]}" "$1" );;
-       (--all)          vsomething_opts=( "${vsomething_opts[@]}" "$1" );;
-       (--overlay)      overlay="${2%/}";;
-       (--overlay-host) overlay_host="${2%/}";;
-       (--overlay-only) overlay_only=1;;
-       (--)             shift; break;;
-       (*)              echo $"vesync: internal error; arg=='$1'" >&2; exit 1;;
-    esac
-    shift
-done
-
-VSOMETHING_TITLE=vesync
-VSOMETHING_PKGMGMT=1
-
-export VSOMETHING_TITLE VSOMETHING_PKGMGMT
-
-ret=0
-
-test $overlay_only -eq 0 && \
-       $_VSOMETHING "${send_through[@]}" emerge "${vsomething_opts[@]}" "$@" -- --metadata
-
-ret=$?
-
-test -n "$overlay" -a -n "$overlay_host" && \
-       $_VSOMETHING "${send_through[@]}" rsync "${vsomething_opts[@]}" "$@" -- \
-       -rtW --progress --delete --delete-after "${overlay_host}/" "${overlay}/"
-
-test $? -eq 0 -a $ret -eq 0